<template>
  <page-layout :show-cta="false">
    <lazy-hydrate ssr-only>
      <content-section>
        <div
          class="markdown md:max-w-2xl lg:max-w-5xl"
          v-html="content.legal_text"
        />
      </content-section>
    </lazy-hydrate>
  </page-layout>
</template>

<script>
export default {
  name: 'Legal',
  computed: {
    content() {
      const { content } = this.$page.content;

      return {
        legal_text: content,
      };
    },
  },
  metaInfo() {
    const { title, description } = this.$page.content.meta;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
      ],
    };
  },
};
</script>

<page-query>
  query LegalPageContent {
    content: legalPageContent(path: "/legal/") {
      meta {
        title
        description
      }
      content
    }
  }
</page-query>
